easy_admin:
    entities:
        Gallery:
            class: Notimeo\GalleriesBundle\Entity\Gallery
            controller: Notimeo\GalleriesBundle\Controller\GalleriesAdminController
            search:
                fields:
                    - title
            list:
                title: entity.gallery.title.list
                fields:
                    - property: title
                      label: common.title
                    - property: updateDate
                      label: common.update_date
                    - property: imagesAmount
                      label: entity.gallery.name.images_amount
                actions:
                    - name: list
                      label: entity.gallery.action.images_list
                      entity: GalleryImage
                      icon: list
                    - { name: new, icon: plus }
                    - { name: edit, icon: pencil }
                    - { name: delete, icon: trash }
            form:
                title: entity.gallery.title.new
                fields:

                    - type: group
                      css_class: col-lg-12
                      label: common.main_content
                      icon: paint-brush

                    - property: locales
                      type: collection
                      type_options:
                          entry_type: Notimeo\GalleriesBundle\Form\Type\GalleryLocaleType
                          error_bubbling: false
                          by_reference: false
                          label: false
            edit:
                title: entity.gallery.title.edit

        GalleryImage:
            class: Notimeo\GalleriesBundle\Entity\GalleryImage
            list_type: rel
            list_col: gallery
            list:
                title: entity.gallery_image.title.list
                actions:
                    - { name: new, icon: plus }
                    - { name: edit, icon: pencil }
                    - { name: delete, icon: trash }
                fields:
                    - property: image
                      type: image
                      base_path: "%app.path.galleries_images%"
                      label: common.image
                    - property: title
                      label: common.title
                    - property: updateDate
                      label: common.update_date
            show:
                fields:
                    - { property: 'image', type: 'image', base_path: "%app.path.galleries_images%" }
            form:
                fields:
                    - type: 'group'
                      css_class: 'col-lg-4'
                      label: 'common.file'
                      icon: 'picture-o'


                    - property: 'imageFile'
                      type: Vich\UploaderBundle\Form\Type\VichImageType
                      help: entity.gallery_image.message.image_help
                      type_options:
                          label: false


                    - type: 'group'
                      css_class: 'col-lg-8'
                      label: 'common.content'
                      icon: 'paint-brush'


                    - property: locales
                      type: collection
                      type_options:
                          entry_type: 'Notimeo\GalleriesBundle\Form\Type\GalleryImageLocaleType'
                          error_bubbling: false
                          by_reference: false
                          label: false
            new:
                title: entity.gallery_image.title.new
            edit:
                title: entity.gallery_image.title.edit